Desarrolladores

Listar las creaciones

GET
/creations

Las creaciones de quien llama, de la más reciente a la más antigua.

Autorización

headerAutorizaciónBearer <token>

Una API Key creada en la configuración de la cuenta, enviada como Authorization: Bearer <key>. Incluye los Scopes seleccionados al crearla.

Parámetros de consulta

cursor?string
Longitud1 <= length
limit?integer
Rango1 <= value <= 100

Cuerpo de la respuesta

Correcto.

application/json
  1. response
items*array<>
next_cursor*string|null
Solicitud de ejemplo
curl -X GET 'https://ximagesplitter.com/api/v1/creations'
Respuesta de ejemplo
{
  "items": [
    {
      "creationId": "string",
      "status": "generating",
      "mediaType": "image",
      "operation": "text-to-image",
      "modelKey": "nano-banana-2",
      "modelFamily": "string",
      "prompt": "string",
      "negativePrompt": "string",
      "optionValues": {
        "property1": "string",
        "property2": "string"
      },
      "inputAssets": [
        {
          "id": "string",
          "slotId": "string",
          "type": "image",
          "role": "source",
          "url": "http://example.com",
          "mimeType": "string",
          "fileName": "string",
          "sizeBytes": 0,
          "width": 1,
          "height": 1,
          "durationSeconds": 1,
          "referenceName": "string"
        }
      ],
      "outputAssets": [
        {
          "id": "string",
          "type": "image",
          "url": "http://example.com",
          "isPrimary": true,
          "posterUrl": "http://example.com",
          "mimeType": "string",
          "sizeBytes": 0,
          "width": 0,
          "height": 0,
          "durationSeconds": 0,
          "hasAudio": true,
          "storageKey": "string"
        }
      ],
      "primaryOutput": {
        "id": "string",
        "type": "image",
        "url": "http://example.com",
        "isPrimary": true,
        "posterUrl": "http://example.com",
        "mimeType": "string",
        "sizeBytes": 0,
        "width": 0,
        "height": 0,
        "durationSeconds": 0,
        "hasAudio": true,
        "storageKey": "string"
      },
      "aspectRatio": "string",
      "durationSeconds": 0,
      "resolution": "string",
      "recreatable": true,
      "createdAt": "string",
      "isReadyForPreview": true,
      "shared": true,
      "originalPrompt": "string"
    }
  ],
  "next_cursor": "string"
}